﻿--[[
        Give Me Health:
                Copyright 2009 by MERK, Mileg
				Updated by Grimgrin
                based on code by Mileg and Stephen Blaising
                
]]

GMHealth_ADDONNAME = "Give Me Health";
GMHealth_MACRONAME = "GMHealth";

GMHealth_VERSION = "4.4.9";

COOKIN = "";
COOKIN2 = "";
NoCOOKIN = "INV_Misc_QuestionMark";
HIcon = "Inv_misc_fork&knife";
CONJFOOD = "";
CharHP = 0;
DP = 0;
TP = 0;
QP = 0;
SP = 0;
GMHealth_ZoneName = "Default";
GMHealth_ZoneType = "Default";

function GMHealth_OnLoad()

  SlashCmdList["GIVEMEHEALTHCOMMAND"] = GMHealth_SlashHandler;
  SLASH_GIVEMEHEALTHCOMMAND1 = "/givemehealth";
  SLASH_GIVEMEHEALTHCOMMAND2 = "/gmhealth";
  SLASH_GIVEMEHEALTHCOMMAND3 = "/gmh";
  
end

function GMHealth_OnEvent(event)
  if (event == "PLAYER_LOGIN") then
    if (GetMacroIndexByName(GMHealth_MACRONAME) == 0) then
      local numGenMacros, numCharMacros = GetNumMacros();
      if (numGenMacros < 36) then
        CreateMacro(GMHealth_MACRONAME, HIcon, "", nil, nil)
      else
        GMHealth_Print("You have 36 General Macros. Cannot add "..GMHealth_MACRONAME.."!");
      end
    end
    if (GetSpellInfo(COOK)) then
      COOKIN = "[mod:ctrl,nocombat] "..COOK..";";
      COOKIN2 = "[] "..COOK..";";
    else
      COOKIN = "";
      NoCOOKIN = HIcon;
    end
    if (GetSpellInfo(CONJR)) then
      CONJFOOD = "[button:2] "..CONJR..";";
    elseif (GetSpellInfo(CONJF)) then
      CONJFOOD = "[button:2] "..CONJF..";";
    else
      CONJFOOD = "";
    end
    GMHealth_MakeArray();
    GMHealth_Go();
  elseif (event == "BAG_UPDATE") then
    CharHP = UnitHealthMax("player");
    DP = CharHP * .02;
    TP = CharHP * .03;
    QP = CharHP * .04;
    SP = CharHP * .05;
    GMHealth_MakeArray();
    GMHealth_Go();
  end
end

function GMHealth_OnUpdate(event)
  if (GMHealth_ZoneName ~= GetRealZoneText()) then
    GMHealth_Go();
  end
end

function GMHealth_SlashHandler(msg)
  if (msg) then
    msg = string.lower(msg);
  end
  if (msg == "help" or msg == "") then
    GMHealth_Print(GMHealth_ADDONNAME.." |cff3399CCv"..GMHealth_VERSION.." ");
    GMHealth_Print("Type /macro to open macro list.");
    GMHealth_Print("Drag GMHealth macro to your action bar.");
    GMHealth_Print("This macro has two purposes.");
    GMHealth_Print("During combat click to use best healing potion.");
    GMHealth_Print("Otherwise click to eat best food.");
    GMHealth_Print("Hold SHIFT and click to use/eat second best healing potion/food.");
    GMHealth_Print("Hold ALT and click to use best healing potion out of combat.");
    GMHealth_Print("Hold SHIFT+ALT and click to use second best healing potion out of combat.");
    GMHealth_Print("Hold CTRL and click to open \"Cooking\" tradeskill window.");
    GMHealth_Print("Mages can right click to \"Conjure Food\".");
  end
end

function GMHealth_GetZoneType()
  if (GMHealth_ZoneName ~= GetRealZoneText()) then
    GMHealth_ZoneName = GetRealZoneText();
    if ((GMHealth_ZoneName == WSG) or (GMHealth_ZoneName == AV) or (GMHealth_ZoneName == AB) or (GMHealth_ZoneName == EOTS) or (GMHealth_ZoneName == SOTA)) then
      GMHealth_ZoneType = "BG";
	elseif ((GMHealth_ZoneName == TB) or (GMHealth_ZoneName == TBP)) then
      GMHealth_ZoneType = "TB";
    elseif ((GMHealth_ZoneName == BOT) or (GMHealth_ZoneName == EYE) or (GMHealth_ZoneName == MECH) or (GMHealth_ZoneName == ARCA)) then
      GMHealth_ZoneType = "TK";
    elseif ((GMHealth_ZoneName == SSC) or (GMHealth_ZoneName == UB) or (GMHealth_ZoneName == SV) or (GMHealth_ZoneName == SP)) then
      GMHealth_ZoneType = "CFR";
    elseif ((GMHealth_ZoneName == BEM) or (GMHealth_ZoneName == GL)) then
      GMHealth_ZoneType = "BE";
    elseif ((GMHealth_ZoneName == ARENA_BE) or (GMHealth_ZoneName == ARENA_D) or (GMHealth_ZoneName == ARENA_N) or (GMHealth_ZoneName == ARENA_ROL) or (GMHealth_ZoneName == ARENA_ROV)) then
      GMHealth_ZoneType = "ARENA";
    else
      GMHealth_ZoneType = "ALL";
    end
  end
end

function GMHealth_Print(msg)
  if ((msg) and (strlen(msg) > 0)) then
    if (DEFAULT_CHAT_FRAME) then
      DEFAULT_CHAT_FRAME:AddMessage(msg, 1, 1, 0);
    end
  end
end

function GMHealth_MakeArray()
  GMHealth_Potions = {

    [47] = { [1] = HEAL_TB_A_9000,  [2] =  0, [3] = 9000, [4] = "TB",    [5] = "ALL" },
    [46] = { [1] = HEAL_TB_H_9000,  [2] =  0, [3] = 9000, [4] = "TB",    [5] = "ALL" },
    [45] = { [1] = HEAL_10000_3,	[2] = 80, [3] =10000, [4] = "All",   [5] = "ALL" },
    [44] = { [1] = HEAL_10000_2,    [2] = 80, [3] =10000, [4] = "ALL",   [5] = "ALL" }, 
    [43] = { [1] = HEAL_10000,      [2] = 80, [3] =10000, [4] = "ALL",   [5] = "ALL" },
    [42] = { [1] = RJ_8000,     	[2] = 80, [3] = 8000, [4] = "ALL",   [5] = "ALL" },
    [41] = { [1] = MP_7500,     	[2] = 70, [3] = 7500, [4] = "ALL",   [5] = "ALL" },
    [40] = { [1] = HEAL_2500_P	,   [2] = 70, [3] = 2500, [4] = "ALL",   [5] = "ALL" },
    [39] = { [1] = HEAL_ARENA_2160, [2] =  0, [3] = 2160, [4] = "ARENA", [5] = "ALL" },
    [38] = { [1] = HEAL_TK_2500,    [2] = 55, [3] = 2500, [4] = "TK",    [5] = "ALL" },
    [37] = { [1] = HEAL_BEP_1750_2, [2] = 70, [3] = 1750, [4] = "BE",    [5] = "ALL" },
    [36] = { [1] = HEAL_BEP_1750,   [2] = 70, [3] = 1750, [4] = "BE",    [5] = "ALL" },
    [35] = { [1] = HEAL_CFR_2500,   [2] = 55, [3] = 2500, [4] = "CFR",   [5] = "ALL" },
    [34] = { [1] = HEAL_1260_P,     [2] = 45, [3] = 1260, [4] = "BG",    [5] = "ALL" }, 
    [33] = { [1] = HEAL_720_P,      [2] = 35, [3] =  720, [4] = "BG",    [5] = "ALL" },
    [32] = { [1] = HEAL_7500,     	[2] = 80, [3] = 7500, [4] = "ALL",   [5] = "ALL" },
    [31] = { [1] = HEAL_4500_I,     [2] = 70, [3] = 4501, [4] = "ALL",   [5] = "ALL" },
    [30] = { [1] = HEAL_4500,       [2] = 70, [3] = 4500, [4] = "ALL",   [5] = "ALL" },
    [29] = { [1] = RJ_4125,         [2] = 75, [3] = 4125, [4] = "ALL",   [5] = "ALL" },
    [28] = { [1] = CA_3500h_4500m,  [2] = 70, [3] = 3500, [4] = "ALL",   [5] = "ALL" },
    [27] = { [1] = RJ_2750,         [2] = 65, [3] = 2751, [4] = "ALL",   [5] = "ALL" },
    [26] = { [1] = MA_2750,         [2] = 60, [3] = 2750, [4] = "ALL",   [5] = "ALL" },
    [25] = { [1] = HEAL_2500_I2,    [2] = 55, [3] = 2501, [4] = "ALL",   [5] = "ALL" },
    [24] = { [1] = HEAL_2500_I,     [2] = 55, [3] = 2501, [4] = "ALL",   [5] = "ALL" },
    [23] = { [1] = HEAL_2500_5,     [2] = 55, [3] = 2500, [4] = "ALL",   [5] = "ALL" },
    [22] = { [1] = HEAL_2500_4,     [2] = 55, [3] = 2500, [4] = "ALL",   [5] = "ALL" },
    [21] = { [1] = HEAL_2500_3,     [2] = 55, [3] = 2500, [4] = "ALL",   [5] = "ALL" },
    [20] = { [1] = HEAL_2500_2,     [2] = 55, [3] = 2500, [4] = "ALL",   [5] = "ALL" },
    [19] = { [1] = HEAL_2500,       [2] = 55, [3] = 2500, [4] = "ALL",   [5] = "ALL" },
    [18] = { [1] = HEAL_ARENA_2160, [2] =  0, [3] = 2160, [4] = "ALL",   [5] = "ALL" },
    [17] = { [1] = RJ_1760,         [2] = 50, [3] = 1760, [4] = "ALL",   [5] = "ALL" },
    [16] = { [1] = HEAL_1750_P4,    [2] = 61, [3] = 1750, [4] = "ALL",   [5] = "ALL" },
    [15] = { [1] = HEAL_1750_P3,    [2] = 61, [3] = 1750, [4] = "ALL",   [5] = "ALL" },
    [14] = { [1] = HEAL_1750_P2,    [2] = 61, [3] = 1750, [4] = "ALL",   [5] = "ALL" },
    [13] = { [1] = HEAL_1750_P,     [2] = 61, [3] = 1750, [4] = "ALL",   [5] = "ALL" },
    [12] = { [1] = HEAL_1750_2,     [2] = 55, [3] = 1750, [4] = "ALL",   [5] = "ALL" },
    [11] = { [1] = HEAL_1750,       [2] = 45, [3] = 1750, [4] = "ALL",   [5] = "ALL" }, 
    [10] = { [1] = RJ_1500,         [2] = 35, [3] = 1500, [4] = "ALL",   [5] = "ALL" }, 
    [ 9] = { [1] = HEAL_900_P,      [2] = 35, [3] =  900, [4] = "ALL",   [5] = "ALL" }, 
    [ 8] = { [1] = HEAL_900_2,      [2] = 45, [3] =  900, [4] = "ALL",   [5] = "ALL" }, 
    [ 7] = { [1] = HEAL_900,        [2] = 35, [3] =  900, [4] = "ALL",   [5] = "ALL" }, 
    [ 6] = { [1] = HEAL_585,        [2] = 21, [3] =  585, [4] = "ALL",   [5] = "ALL" },
    [ 5] = { [1] = HEAL_360,        [2] = 12, [3] =  360, [4] = "ALL",   [5] = "ALL" }, 
    [ 4] = { [1] = HEAL_180_2,      [2] =  5, [3] =  180, [4] = "ALL",   [5] = "ALL" },
    [ 3] = { [1] = HEAL_180,        [2] =  3, [3] =  180, [4] = "ALL",   [5] = "ALL" },
    [ 2] = { [1] = RJ_150,          [2] =  5, [3] =  150, [4] = "ALL",   [5] = "ALL" },
    [ 1] = { [1] = HEAL_90,         [2] =  0, [3] =   90, [4] = "ALL",   [5] = "ALL" },
  }

  GMHealth_Food = {
    [302] = { [1] = VEND_BIS_2148_4410_WSG, [2] = 45, [3] =  72, [4] = WSG,   [5] = "ALL" },
    [301] = { [1] = VEND_BIS_1608_3306_WSG, [2] = 35, [3] =  54, [4] = WSG,   [5] = "ALL" },
    [300] = { [1] = VEND_BIS_1074_2202_WSG, [2] = 25, [3] =  36, [4] = WSG,   [5] = "ALL" },
    [299] = { [1] = VEND_BIS_2148_4410_AB3, [2] = 45, [3] =  72, [4] = AB,    [5] = "ALL" },
    [298] = { [1] = VEND_BIS_2148_4410_AB2, [2] = 45, [3] =  72, [4] = AB,    [5] = "ALL" },
    [297] = { [1] = VEND_BIS_2148_4410_AB,  [2] = 45, [3] =  72, [4] = AB,    [5] = "ALL" },
    [296] = { [1] = VEND_BIS_1608_3306_AB3, [2] = 35, [3] =  54, [4] = AB,    [5] = "ALL" },
    [295] = { [1] = VEND_BIS_1608_3306_AB2, [2] = 35, [3] =  54, [4] = AB,    [5] = "ALL" },
    [294] = { [1] = VEND_BIS_1608_3306_AB,  [2] = 35, [3] =  54, [4] = AB,    [5] = "ALL" },
    [293] = { [1] = VEND_BIS_1074_2202_AB3, [2] = 25, [3] =  36, [4] = AB,    [5] = "ALL" },
    [292] = { [1] = VEND_BIS_1074_2202_AB2, [2] = 25, [3] =  36, [4] = AB,    [5] = "ALL" },
    [291] = { [1] = VEND_BIS_1074_2202_AB,  [2] = 25, [3] =  36, [4] = AB,    [5] = "ALL" },
[290] = { [1] = conj_FOOD_192050_19696,  [2] = 1, [3] = 192050, [4] = "ALL", [5] = "ALL" },
[289] = { [1] = conj_BIS_118500_19200_65499,  [2] = 85, [3] = 118500, [4] = "ALL", [5] = "ALL" },
[288] = { [1] = conj_BIS_111000_19200_43523,  [2] = 80, [3] = 111000, [4] = "ALL", [5] = "ALL" },
[287] = { [1] = conj_BIS_109200_12840_43518,  [2] = 74, [3] = 109200, [4] = "ALL", [5] = "ALL" },
[286] = { [1] = conj_FOOD_103500_22019,  [2] = 65, [3] = 103500, [4] = "ALL", [5] = "ALL" },
[285] = { [1] = conj_BIS_103500_7200_34062,  [2] = 65, [3] = 103500, [4] = "ALL", [5] = "ALL" },
[284] = { [1] = conj_FOOD_100320_22895,  [2] = 55, [3] = 100320, [4] = "ALL", [5] = "ALL" },
[283] = { [1] = conj_BIS_100320_4200_65517,  [2] = 64, [3] = 100320, [4] = "ALL", [5] = "ALL" },
[282] = { [1] = conj_FOOD_98148_8076,  [2] = 45, [3] = 98148, [4] = "ALL", [5] = "ALL" },
[281] = { [1] = conj_BIS_98148_2934_65516,  [2] = 54, [3] = 98148, [4] = "ALL", [5] = "ALL" },
[280] = { [1] = conj_FOOD_97392_8075,  [2] = 35, [3] = 97392, [4] = "ALL", [5] = "ALL" },
[279] = { [1] = conj_BIS_97392_1992_65515,  [2] = 44, [3] = 97392, [4] = "ALL", [5] = "ALL" },
[278] = { [1] = conj_BIS_96972_1494_65500,  [2] = 34, [3] = 96972, [4] = "ALL", [5] = "ALL" },
[277] = { [1] = conj_FOOD_96874_1487,  [2] = 25, [3] = 96874, [4] = "ALL", [5] = "ALL" },
[276] = { [1] = conj_FOOD_96552_1114,  [2] = 15, [3] = 96552, [4] = "ALL", [5] = "ALL" },
[275] = { [1] = conj_FOOD_96243_1113,  [2] = 5, [3] = 96243, [4] = "ALL", [5] = "ALL" },
[274] = { [1] = conj_FOOD_96061_5349,  [2] = 1, [3] = 96061, [4] = "ALL", [5] = "ALL" },
[273] = { [1] = drop_BIS_96100_100_21215,  [2] = 40, [3] = 96100, [4] = "ALL", [5] = "ALL" },
[272] = { [1] = drop_FOOD_96050_19994,  [2] = 1, [3] = 96050, [4] = "ALL", [5] = "ALL" },
[271] = { [1] = drop_FOOD_96050_19995,  [2] = 1, [3] = 96050, [4] = "ALL", [5] = "ALL" },
[270] = { [1] = drop_FOOD_96050_19996,  [2] = 1, [3] = 96050, [4] = "ALL", [5] = "ALL" },
[269] = { [1] = drop_FOOD_96050_21235,  [2] = 1, [3] = 96050, [4] = "ALL", [5] = "ALL" },
[268] = { [1] = drop_FOOD_96000_58259,  [2] = 85, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[267] = { [1] = drop_FOOD_96000_58263,  [2] = 85, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[266] = { [1] = drop_FOOD_96000_58267,  [2] = 85, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[265] = { [1] = cook_FOOD_96000_62677,  [2] = 80, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[264] = { [1] = vend_FOOD_96000_58261,  [2] = 85, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[263] = { [1] = vend_FOOD_96000_58265,  [2] = 85, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[262] = { [1] = vend_FOOD_96000_58269,  [2] = 85, [3] = 96000, [4] = "ALL", [5] = "ALL" },
[261] = { [1] = drop_FOOD_67500_58258,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[260] = { [1] = drop_FOOD_67500_58266,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[259] = { [1] = drop_FOOD_67500_59228,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[258] = { [1] = drop_FOOD_67500_59232,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[257] = { [1] = cook_FOOD_67500_62676,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[256] = { [1] = cook_BIS_67500_45000_68687,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[255] = { [1] = vend_FOOD_67500_58260,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[254] = { [1] = vend_FOOD_67500_58262,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[253] = { [1] = vend_FOOD_67500_58264,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[252] = { [1] = vend_FOOD_67500_58268,  [2] = 80, [3] = 67500, [4] = "ALL", [5] = "ALL" },
[251] = { [1] = drop_FOOD_22500_56165,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[250] = { [1] = drop_FOOD_22500_58276,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[249] = { [1] = drop_FOOD_22500_58278,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[248] = { [1] = drop_FOOD_22500_58280,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[247] = { [1] = drop_FOOD_22500_59227,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[246] = { [1] = drop_FOOD_22500_59231,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[245] = { [1] = vend_FOOD_22500_35950,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[244] = { [1] = vend_FOOD_22500_35950,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[243] = { [1] = vend_FOOD_22500_44940,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[242] = { [1] = vend_FOOD_22500_58275,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[241] = { [1] = vend_FOOD_22500_58277,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[240] = { [1] = vend_FOOD_22500_58279,  [2] = 75, [3] = 22500, [4] = "ALL", [5] = "ALL" },
[239] = { [1] = drop_FOOD_18480_37452,  [2] = 65, [3] = 18480, [4] = "ALL", [5] = "ALL" },
[238] = { [1] = cook_BIS_18000_15000_45932,  [2] = 75, [3] = 18000, [4] = "ALL", [5] = "ALL" },
[237] = { [1] = drop_FOOD_15000_42434,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[236] = { [1] = drop_FOOD_15000_43087,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[235] = { [1] = drop_FOOD_15000_44607,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[234] = { [1] = drop_FOOD_15000_44722,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[233] = { [1] = cook_FOOD_15000_34747,  [2] = 70, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[232] = { [1] = cook_BIS_15000_12960_34759,  [2] = 70, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[231] = { [1] = cook_BIS_15000_12960_34760,  [2] = 70, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[230] = { [1] = cook_BIS_15000_12960_34761,  [2] = 70, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[229] = { [1] = vend_FOOD_15000_35947,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[228] = { [1] = vend_FOOD_15000_35948,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[227] = { [1] = vend_FOOD_15000_35951,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[226] = { [1] = vend_FOOD_15000_35952,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[225] = { [1] = vend_FOOD_15000_35953,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[224] = { [1] = vend_FOOD_15000_38706,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[223] = { [1] = vend_FOOD_15000_40202,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[222] = { [1] = vend_FOOD_15000_41729,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[221] = { [1] = vend_FOOD_15000_42429,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[220] = { [1] = vend_FOOD_15000_42431,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[219] = { [1] = vend_FOOD_15000_42778,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[218] = { [1] = vend_FOOD_15000_44049,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[217] = { [1] = vend_FOOD_15000_44071,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[216] = { [1] = vend_FOOD_15000_44072,  [2] = 75, [3] = 15000, [4] = "ALL", [5] = "ALL" },
[215] = { [1] = drop_FOOD_13200_42432,  [2] = 70, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[214] = { [1] = drop_FOOD_13200_42433,  [2] = 70, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[213] = { [1] = drop_FOOD_13200_44608,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[212] = { [1] = drop_FOOD_13200_44609,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[211] = { [1] = drop_FOOD_13200_44749,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[210] = { [1] = vend_FOOD_13200_33443,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[209] = { [1] = vend_FOOD_13200_33449,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[208] = { [1] = vend_FOOD_13200_33451,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[207] = { [1] = vend_FOOD_13200_33452,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[206] = { [1] = vend_FOOD_13200_33454,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[205] = { [1] = vend_FOOD_13200_35949,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[204] = { [1] = vend_FOOD_13200_37252,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[203] = { [1] = vend_FOOD_13200_40356,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[202] = { [1] = vend_FOOD_13200_40358,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[201] = { [1] = vend_FOOD_13200_40359,  [2] = 65, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[200] = { [1] = vend_FOOD_13200_42428,  [2] = 70, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[199] = { [1] = vend_FOOD_13200_42430,  [2] = 70, [3] = 13200, [4] = "ALL", [5] = "ALL" },
[198] = { [1] = cook_FOOD_7500_33048,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[197] = { [1] = cook_BIS_7500_7200_33053,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[196] = { [1] = vend_FOOD_7500_29394,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[195] = { [1] = vend_FOOD_7500_29448,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[194] = { [1] = vend_FOOD_7500_29449,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[193] = { [1] = vend_FOOD_7500_29450,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[192] = { [1] = vend_FOOD_7500_29451,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[191] = { [1] = vend_FOOD_7500_29452,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[190] = { [1] = vend_FOOD_7500_29453,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[189] = { [1] = vend_FOOD_7500_30355,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[188] = { [1] = vend_FOOD_7500_32685,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[187] = { [1] = vend_BIS_7500_7200_34780,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[186] = { [1] = vend_FOOD_7500_38428,  [2] = 65, [3] = 7500, [4] = "ALL", [5] = "ALL" },
[185] = { [1] = drop_BIS_4410_4410_28112,  [2] = 1, [3] = 4410, [4] = "ALL", [5] = "ALL" },
[184] = { [1] = vend_BIS_4410_4410_19301,  [2] = 51, [3] = 4410, [4] = "ALL", [5] = "ALL" },
[183] = { [1] = drop_FOOD_4320_30458,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[182] = { [1] = drop_FOOD_4320_30610,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[181] = { [1] = cook_FOOD_4320_13934,  [2] = 45, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[180] = { [1] = cook_FOOD_4320_27661,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[179] = { [1] = vend_FOOD_4320_27854,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[178] = { [1] = vend_FOOD_4320_27855,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[177] = { [1] = vend_FOOD_4320_27856,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[176] = { [1] = vend_FOOD_4320_27857,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[175] = { [1] = vend_FOOD_4320_27858,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[174] = { [1] = vend_FOOD_4320_27859,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[173] = { [1] = vend_FOOD_4320_28486,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[172] = { [1] = vend_FOOD_4320_29393,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[171] = { [1] = vend_FOOD_4320_29412,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[170] = { [1] = vend_BIS_4320_4410_32722,  [2] = 65, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[169] = { [1] = vend_FOOD_4320_38427,  [2] = 55, [3] = 4320, [4] = "ALL", [5] = "ALL" },
[168] = { [1] = drop_BIS_2550_4410_20031,  [2] = 55, [3] = 2550, [4] = "ALL", [5] = "ALL" },
[167] = { [1] = drop_FOOD_2148_11415,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[166] = { [1] = drop_FOOD_2148_16171,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[165] = { [1] = drop_FOOD_2148_21031,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[164] = { [1] = drop_FOOD_2148_21033,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[163] = { [1] = drop_FOOD_2148_22324,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[162] = { [1] = drop_FOOD_2148_23160,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[161] = { [1] = drop_FOOD_2148_24338,  [2] = 55, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[160] = { [1] = drop_FOOD_2148_41751,  [2] = 55, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[159] = { [1] = drop_FOOD_2148_67270,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[158] = { [1] = drop_FOOD_2148_67271,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[157] = { [1] = drop_FOOD_2148_67272,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[156] = { [1] = drop_FOOD_2148_67273,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[155] = { [1] = cook_FOOD_2148_13933,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[154] = { [1] = cook_FOOD_2148_13935,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[153] = { [1] = vend_FOOD_2148_8932,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[152] = { [1] = vend_FOOD_2148_8948,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[151] = { [1] = vend_FOOD_2148_8950,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[150] = { [1] = vend_FOOD_2148_8952,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[149] = { [1] = vend_FOOD_2148_8953,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[148] = { [1] = vend_FOOD_2148_8957,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[147] = { [1] = vend_FOOD_2148_11444,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[146] = { [1] = vend_BIS_2148_4410_13724,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[145] = { [1] = vend_FOOD_2148_19225,  [2] = 45, [3] = 2148, [4] = "ALL", [5] = "ALL" },
[144] = { [1] = drop_FOOD_1933_13810,  [2] = 45, [3] = 1933, [4] = "ALL", [5] = "ALL" },
[143] = { [1] = cook_FOOD_1933_18254,  [2] = 45, [3] = 1933, [4] = "ALL", [5] = "ALL" },
[142] = { [1] = cook_FOOD_1933_35565,  [2] = 45, [3] = 1933, [4] = "ALL", [5] = "ALL" },
[141] = { [1] = drop_FOOD_1392_9681,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[140] = { [1] = drop_FOOD_1392_13546,  [2] = 25, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[139] = { [1] = drop_FOOD_1392_13893,  [2] = 45, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[138] = { [1] = drop_FOOD_1392_16168,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[137] = { [1] = drop_FOOD_1392_18255,  [2] = 45, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[136] = { [1] = drop_FOOD_1392_21030,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[135] = { [1] = drop_FOOD_1392_63691,  [2] = 40, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[134] = { [1] = cook_FOOD_1392_6887,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[133] = { [1] = cook_FOOD_1392_13930,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[132] = { [1] = cook_FOOD_1392_16766,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[131] = { [1] = vend_FOOD_1392_3927,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[130] = { [1] = vend_FOOD_1392_4599,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[129] = { [1] = vend_FOOD_1392_4601,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[128] = { [1] = vend_FOOD_1392_4602,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[127] = { [1] = vend_FOOD_1392_4608,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[126] = { [1] = vend_FOOD_1392_17408,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[125] = { [1] = vend_FOOD_1392_18635,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[124] = { [1] = vend_FOOD_1392_19306,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[123] = { [1] = vend_FOOD_1392_21552,  [2] = 35, [3] = 1392, [4] = "ALL", [5] = "ALL" },
[122] = { [1] = drop_FOOD_874_6807,  [2] = 1, [3] = 874, [4] = "ALL", [5] = "ALL" },
[121] = { [1] = drop_FOOD_874_13755,  [2] = 35, [3] = 874, [4] = "ALL", [5] = "ALL" },
[120] = { [1] = drop_FOOD_874_16169,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[119] = { [1] = drop_FOOD_874_61383,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[118] = { [1] = drop_FOOD_874_63692,  [2] = 30, [3] = 874, [4] = "ALL", [5] = "ALL" },
[117] = { [1] = cook_FOOD_874_8364,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[116] = { [1] = cook_FOOD_874_13927,  [2] = 35, [3] = 874, [4] = "ALL", [5] = "ALL" },
[115] = { [1] = cook_FOOD_874_13928,  [2] = 35, [3] = 874, [4] = "ALL", [5] = "ALL" },
[114] = { [1] = cook_FOOD_874_13929,  [2] = 35, [3] = 874, [4] = "ALL", [5] = "ALL" },
[113] = { [1] = cook_FOOD_874_13931,  [2] = 35, [3] = 874, [4] = "ALL", [5] = "ALL" },
[112] = { [1] = cook_FOOD_874_13932,  [2] = 35, [3] = 874, [4] = "ALL", [5] = "ALL" },
[111] = { [1] = vend_FOOD_874_1707,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[110] = { [1] = vend_FOOD_874_3771,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[109] = { [1] = vend_FOOD_874_4539,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[108] = { [1] = vend_FOOD_874_4544,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[107] = { [1] = vend_FOOD_874_4594,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[106] = { [1] = vend_FOOD_874_4607,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[105] = { [1] = vend_FOOD_874_17407,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[104] = { [1] = vend_FOOD_874_18632,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[103] = { [1] = vend_FOOD_874_19224,  [2] = 25, [3] = 874, [4] = "ALL", [5] = "ALL" },
[102] = { [1] = drop_FOOD_552_16170,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[101] = { [1] = drop_FOOD_552_57518,  [2] = 1, [3] = 552, [4] = "ALL", [5] = "ALL" },
[100] = { [1] = drop_FOOD_552_62910,  [2] = 1, [3] = 552, [4] = "ALL", [5] = "ALL" },
[99] = { [1] = drop_FOOD_552_63693,  [2] = 20, [3] = 552, [4] = "ALL", [5] = "ALL" },
[98] = { [1] = drop_FOOD_552_63694,  [2] = 20, [3] = 552, [4] = "ALL", [5] = "ALL" },
[97] = { [1] = drop_FOOD_552_65730,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[96] = { [1] = drop_FOOD_552_65731,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[95] = { [1] = cook_FOOD_552_733,  [2] = 5, [3] = 552, [4] = "ALL", [5] = "ALL" },
[94] = { [1] = cook_FOOD_552_2685,  [2] = 10, [3] = 552, [4] = "ALL", [5] = "ALL" },
[93] = { [1] = cook_FOOD_552_5478,  [2] = 10, [3] = 552, [4] = "ALL", [5] = "ALL" },
[92] = { [1] = cook_FOOD_552_5526,  [2] = 10, [3] = 552, [4] = "ALL", [5] = "ALL" },
[91] = { [1] = vend_FOOD_552_422,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[90] = { [1] = vend_FOOD_552_3770,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[89] = { [1] = vend_FOOD_552_4538,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[88] = { [1] = vend_FOOD_552_4542,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[87] = { [1] = vend_FOOD_552_4593,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[86] = { [1] = vend_FOOD_552_4606,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[85] = { [1] = vend_FOOD_552_7228,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[84] = { [1] = vend_FOOD_552_19305,  [2] = 15, [3] = 552, [4] = "ALL", [5] = "ALL" },
[83] = { [1] = drop_BIS_294_294_3448,  [2] = 1, [3] = 294, [4] = "ALL", [5] = "ALL" },
[82] = { [1] = cook_BIS_294_294_2682,  [2] = 5, [3] = 294, [4] = "ALL", [5] = "ALL" },
[81] = { [1] = drop_FOOD_243_1326,  [2] = 1, [3] = 243, [4] = "ALL", [5] = "ALL" },
[80] = { [1] = drop_FOOD_243_5066,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[79] = { [1] = drop_FOOD_243_12238,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[78] = { [1] = drop_FOOD_243_16167,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[77] = { [1] = drop_FOOD_243_17119,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[76] = { [1] = drop_FOOD_243_24072,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[75] = { [1] = drop_FOOD_243_49600,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[74] = { [1] = drop_FOOD_243_62909,  [2] = 1, [3] = 243, [4] = "ALL", [5] = "ALL" },
[73] = { [1] = cook_FOOD_243_5095,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[72] = { [1] = cook_FOOD_243_6316,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[71] = { [1] = cook_FOOD_243_6890,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[70] = { [1] = cook_FOOD_243_67230,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[69] = { [1] = vend_FOOD_243_414,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[68] = { [1] = vend_FOOD_243_2287,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[67] = { [1] = vend_FOOD_243_4537,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[66] = { [1] = vend_FOOD_243_4541,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[65] = { [1] = vend_FOOD_243_4592,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[64] = { [1] = vend_FOOD_243_4605,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[63] = { [1] = vend_FOOD_243_17406,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[62] = { [1] = vend_FOOD_243_18633,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[61] = { [1] = vend_FOOD_243_19304,  [2] = 5, [3] = 243, [4] = "ALL", [5] = "ALL" },
[60] = { [1] = drop_FOOD_61_961,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[59] = { [1] = drop_FOOD_61_4656,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[58] = { [1] = drop_FOOD_61_5057,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[57] = { [1] = drop_FOOD_61_7097,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[56] = { [1] = drop_FOOD_61_16166,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[55] = { [1] = drop_FOOD_61_20857,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[54] = { [1] = drop_FOOD_61_23495,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[53] = { [1] = drop_FOOD_61_49253,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[52] = { [1] = drop_FOOD_61_57544,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[51] = { [1] = drop_FOOD_61_60267,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[50] = { [1] = drop_FOOD_61_60268,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[49] = { [1] = drop_FOOD_61_60375,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[48] = { [1] = drop_FOOD_61_60377,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[47] = { [1] = drop_FOOD_61_60378,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[46] = { [1] = drop_FOOD_61_60379,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[45] = { [1] = drop_FOOD_61_67361,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[44] = { [1] = drop_FOOD_61_67362,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[43] = { [1] = drop_FOOD_61_67363,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[42] = { [1] = drop_FOOD_61_67364,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[41] = { [1] = drop_FOOD_61_67365,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[40] = { [1] = drop_FOOD_61_67366,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[39] = { [1] = drop_FOOD_61_67367,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[38] = { [1] = drop_FOOD_61_67368,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[37] = { [1] = drop_FOOD_61_67369,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[36] = { [1] = drop_FOOD_61_67370,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[35] = { [1] = drop_FOOD_61_67371,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[34] = { [1] = drop_FOOD_61_67372,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[33] = { [1] = drop_FOOD_61_67373,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[32] = { [1] = drop_FOOD_61_67374,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[31] = { [1] = drop_FOOD_61_67375,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[30] = { [1] = drop_FOOD_61_67376,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[29] = { [1] = drop_FOOD_61_67377,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[28] = { [1] = drop_FOOD_61_67378,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[27] = { [1] = drop_FOOD_61_67379,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[26] = { [1] = drop_FOOD_61_67380,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[25] = { [1] = drop_FOOD_61_67381,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[24] = { [1] = drop_FOOD_61_67382,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[23] = { [1] = drop_FOOD_61_67383,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[22] = { [1] = drop_FOOD_61_67384,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[21] = { [1] = cook_FOOD_61_2679,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[20] = { [1] = cook_FOOD_61_2681,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[19] = { [1] = cook_FOOD_61_6290,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[18] = { [1] = cook_FOOD_61_30816,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[17] = { [1] = vend_FOOD_61_117,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[16] = { [1] = vend_FOOD_61_787,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[15] = { [1] = vend_FOOD_61_2070,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[14] = { [1] = vend_FOOD_61_4536,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[13] = { [1] = vend_FOOD_61_4540,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[12] = { [1] = vend_FOOD_61_4604,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[11] = { [1] = vend_FOOD_61_17344,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[10] = { [1] = vend_FOOD_61_19223,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[9] = { [1] = vend_FOOD_61_44854,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[8] = { [1] = vend_FOOD_61_44855,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[7] = { [1] = vend_FOOD_61_46690,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[6] = { [1] = vend_FOOD_61_46784,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[5] = { [1] = vend_FOOD_61_46793,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[4] = { [1] = vend_FOOD_61_46796,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[3] = { [1] = vend_FOOD_61_46797,  [2] = 1, [3] = 61, [4] = "ALL", [5] = "ALL" },
[2] = { [1] = drop_FOOD_30_6299,  [2] = 1, [3] = 30, [4] = "ALL", [5] = "ALL" },
[1] = { [1] = vend_FOOD_30_11109,  [2] = 1, [3] = 30, [4] = "ALL", [5] = "ALL" },

  }
end

function GMHealth_Go()
  
  local HealthPotionRank = 0;
  local BHealthPotionRank = 0;
  local HealthPotionItemNum = 0;
  local BHealthPotionItemNum = 0;
  local oldHPotionItemLink = "Nothing";
  local BoldHPotionItemLink = "Nothing";
  local HealthFoodRank = 0;
  local BHealthFoodRank = 0;
  local HealthFoodItemNum = 0;
  local BHealthFoodItemNum = 0;
  local oldFoodItemLink = "Nothing";
  local BoldFoodItemLink = "Nothing";
  
  local Poverride = false
  local Woverride = false
  
  GMHealth_GetZoneType();

  for bagID = 0, 4, 1 do
    local bagSlotCnt = GetContainerNumSlots(bagID);
    if (bagSlotCnt > 0) then
      for slot = 1, bagSlotCnt, 1 do
        local itemLink = GetContainerItemLink(bagID, slot);
        local itemNumber = GMHealth_NumFromLink(itemLink);
        if (itemNumber) then
          for index = 1, table.getn(GMHealth_Potions), 1 do
            if (GMHealth_Potions[index][1] == itemNumber) then
              if (GMHealth_Potions[index][2] <= UnitLevel("player")) then
                if ((GMHealth_Potions[index][4] == GMHealth_ZoneType) or (GMHealth_Potions[index][4] == GMHealth_ZoneName) or (GMHealth_Potions[index][4] == "ALL")) then  
                  if (GMHealth_Potions[index][4] ~= "ALL") then
                    Poverride = true
                    BoldHPotionItemLink = oldHPotionItemLink;
                    oldHPotionItemLink = itemLink;
                    BHealthPotionRank = HealthPotionRank;
                    HealthPotionRank = GMHealth_Potions[index][3];
                    BHealthPotionItemNum = HealthPotionItemNum;
                    HealthPotionItemNum = itemNumber;
                  end
                  if ((GMHealth_Potions[index][3] > HealthPotionRank) and (not Poverride)) then
                    BoldHPotionItemLink = oldHPotionItemLink;
                    oldHPotionItemLink = itemLink;
                    BHealthPotionRank = HealthPotionRank;
                    HealthPotionRank = GMHealth_Potions[index][3];
                    BHealthPotionItemNum = HealthPotionItemNum;
                    HealthPotionItemNum = itemNumber;
                  elseif ((GMHealth_Potions[index][3] == HealthPotionRank) and (itemLink ~= oldHPotionItemLink) and (not Poverride)) then
                    local oldItemCnt = GetItemCount(oldHPotionItemLink);
                    local newItemCnt = GetItemCount(itemLink);
                    if (newItemCnt <= oldItemCnt) then
                      oldHPotionItemLink = itemLink;
                      HealthPotionRank = GMHealth_Potions[index][3];
                      HealthPotionItemNum = itemNumber;
                    end
                  elseif ((GMHealth_Potions[index][3] < HealthPotionRank) and (GMHealth_Potions[index][3] > BHealthPotionRank)) then
                    BoldHPotionItemLink = itemLink;
                    BHealthPotionRank = GMHealth_Potions[index][3];
                    BHealthPotionItemNum = itemNumber;
                  elseif ((GMHealth_Potions[index][3] == BHealthPotionRank) and (itemLink ~= BoldHPotionItemLink)) then
                    local oldItemCnt = GetItemCount(BoldHPotionItemLink);
                    local newItemCnt = GetItemCount(itemLink);
                    if (newItemCnt <= oldItemCnt) then
                      BoldHPotionItemLink = itemLink;
                      BHealthPotionRank = GMHealth_Potions[index][3];
                      BHealthPotionItemNum = itemNumber;
                    end
                  end
                end
              end  
            end
          end
          for index = 1, table.getn(GMHealth_Food), 1 do
            if (GMHealth_Food[index][1] == itemNumber) then
              if (GMHealth_Food[index][2] <= UnitLevel("player")) then
                if ((GMHealth_Food[index][4] == GMHealth_ZoneType) or (GMHealth_Food[index][4] == GMHealth_ZoneName) or (GMHealth_Food[index][4] == "ALL")) then  
                  if (GMHealth_Food[index][4] ~= "ALL") then
                    Woverride = true
                    BoldFoodItemLink = oldFoodItemLink;
                    oldFoodItemLink = itemLink;
                    BHealthFoodRank = HealthFoodRank;
                    HealthFoodRank = GMHealth_Food[index][3];
                    BHealthFoodItemNum = HealthFoodItemNum;
                    HealthFoodItemNum = itemNumber;
                  end
                  if ((GMHealth_Food[index][3] > HealthFoodRank) and (not Woverride)) then
                    BoldFoodItemLink = oldFoodItemLink;
                    oldFoodItemLink = itemLink;
                    BHealthFoodRank = HealthFoodRank;
                    HealthFoodRank = GMHealth_Food[index][3];
                    BHealthFoodItemNum = HealthFoodItemNum;
                    HealthFoodItemNum = itemNumber;
                  elseif ((GMHealth_Food[index][3] == HealthFoodRank) and (itemLink ~= oldFoodItemLink) and (not Woverride)) then
                    local oldItemCnt = GetItemCount(oldFoodItemLink);
                    local newItemCnt = GetItemCount(itemLink);
                    if (newItemCnt <= oldItemCnt) then
                      oldFoodItemLink = itemLink;
                      HealthFoodRank = GMHealth_Food[index][3];
                      HealthFoodItemNum = itemNumber;
                    end
                  elseif ((GMHealth_Food[index][3] < HealthFoodRank) and (GMHealth_Food[index][3] > BHealthFoodRank)) then
                    BoldFoodItemLink = itemLink;
                    BHealthFoodRank = GMHealth_Food[index][3];
                    BHealthFoodItemNum = itemNumber;
                  elseif ((GMHealth_Food[index][3] == BHealthFoodRank) and (itemLink ~= BoldFoodItemLink)) then
                    local oldItemCnt = GetItemCount(BoldFoodItemLink);
                    local newItemCnt = GetItemCount(itemLink);
                    if (newItemCnt <= oldItemCnt) then
                      BoldFoodItemLink = itemLink;
                      BHealthFoodRank = GMHealth_Food[index][3];
                      BHealthFoodItemNum = itemNumber;
                    end
                  end
                end
              end
            end
          end
        end
      end
    end
  end
  
  if ((HealthPotionRank > 0) and (HealthFoodRank > 0) and (BHealthPotionRank > 0) and (BHealthFoodRank > 0)) then
-- For bouncingboy on Curse.com and all the other rogues. If you want to go into stealth when eating swith between the 2 lines below.
  EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." [mod:shift, combat] item:"..BHealthPotionItemNum.."; [combat] item:"..HealthPotionItemNum.."; [mod:alt,mod:shift] item:"..BHealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum.."; [mod:shift] item:"..BHealthFoodItemNum.."; [] item:"..HealthFoodItemNum, nil, nil);
  --EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." [mod:shift, combat] item:"..BHealthPotionItemNum.."; [combat] item:"..HealthPotionItemNum.."; [mod:alt,mod:shift] item:"..BHealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum.."; [mod:shift] item:"..BHealthFoodItemNum.."; [] item:"..HealthFoodItemNum.."\n/cast [nocombat] stealth", nil, nil);
  elseif ((HealthPotionRank > 0) and (HealthFoodRank > 0) and (BHealthPotionRank > 0) and (BHealthFoodRank == 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." [mod:shift, combat] item:"..BHealthPotionItemNum.."; [combat] item:"..HealthPotionItemNum.."; [mod:alt,mod:shift] item:"..BHealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum.."; [] item:"..HealthFoodItemNum, nil, nil);
  elseif ((HealthPotionRank > 0) and (HealthFoodRank > 0) and (BHealthPotionRank == 0) and (BHealthFoodRank > 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." [combat] item:"..HealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum.."; [mod:shift] item:"..BHealthFoodItemNum.."; [] item:"..HealthFoodItemNum, nil, nil);
  elseif ((HealthPotionRank > 0) and (HealthFoodRank == 0) and (BHealthPotionRank > 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip "..COOKIN.." [mod:shift] item:"..BHealthPotionItemNum.."; item:"..HealthPotionItemNum.."\n/use "..CONJFOOD..""..COOKIN.." [mod:shift, combat] item:"..BHealthPotionItemNum.."; [combat] item:"..HealthPotionItemNum.."; [mod:alt, mod:shift] item:"..BHealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum, nil, nil);
  elseif ((HealthPotionRank == 0) and (HealthFoodRank > 0) and (BHealthFoodRank > 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." [mod:shift] item:"..BHealthFoodItemNum.."; [] item:"..HealthFoodItemNum, nil, nil);
  elseif ((HealthPotionRank > 0) and (HealthFoodRank > 0) and (BHealthPotionRank == 0) and (BHealthFoodRank == 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." [combat] item:"..HealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum.."; [] item:"..HealthFoodItemNum, nil, nil);
  elseif ((HealthPotionRank > 0) and (HealthFoodRank == 0) and (BHealthPotionRank == 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip "..COOKIN.." item:"..HealthPotionItemNum.."\n/use "..CONJFOOD..""..COOKIN.." [combat] item:"..HealthPotionItemNum.."; [mod:alt] item:"..HealthPotionItemNum, nil, nil);
  elseif ((HealthPotionRank == 0) and (HealthFoodRank > 0) and (BHealthFoodRank == 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, "INV_Misc_QuestionMark", "#showtooltip\n/use "..CONJFOOD..""..COOKIN.." item:"..HealthFoodItemNum, nil, nil);
  elseif ((HealthPotionRank == 0) and (HealthFoodRank == 0)) then
    EditMacro(GMHealth_MACRONAME, GMHealth_MACRONAME, NoCOOKIN, "#showtooltip\n/use "..CONJFOOD..""..COOKIN2, nil, nil);
  end
end

function GMHealth_NumFromLink(itemLink)
  if (not itemLink) then
    return nil;
  end
  local _, _, itemNumber = strfind(itemLink, "item:(%d+):");
  return itemNumber;
end
